SDL-0.6.4: Binding to libSDL

Portability | portable
Stability | provisional
Maintainer | lemmih@gmail.com
Safe Haskell | None

Graphics.UI.SDL.Utilities

Description

Various small functions which makes the binding process easier.

# Documentation

class Enum a b | a -> b where Source

Methods

succ :: a -> aSource

pred :: a -> aSource

toEnum :: b -> aSource

fromEnum :: a -> bSource

enumFromTo :: a -> a -> [a]Source

Instances

Enum SDLKey Word32 |
Enum Modifier Word32 |
Enum SurfaceFlag Word32 |
Enum Hat Word8 |
Enum InitFlag Word32 |
Enum Palette Int |
Enum Focus Word8 |
Enum MouseButton Word8 |

intToBool :: Int -> IO Int -> IO Bool Source

toBitmask :: (Enum a b, Bits b, Num b) => [a] -> bSource

fromBitmask :: (Bounded a, Enum a b, Bits b, Num b) => b -> [a]Source

fromCInt :: Num a => CInt -> aSource

toCInt :: Int -> CInt Source